"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const target_config_1 = require("./target.config");
exports.default = (entries = []) => {
    if (target_config_1.isDevelopment && !target_config_1.isBuild) {
        return [
            `${target_config_1.resolveNodeModules("webpack-dev-server")}/client?https://${target_config_1.socket.host}:${target_config_1.socket.port}`,
            `${target_config_1.resolveNodeModules("webpack")}/hot/only-dev-server`,
            ...entries,
            target_config_1.entry,
        ];
    }
    return [...entries, target_config_1.entry];
};
